fga.func {aCGH} | R Documentation

## Function to compute fraction of genome altered for each sample

### Description

This function outputs lists containing proportions of the genome that are gained and lost for each sample.

### Usage

    fga.func(aCGH.obj, thres = 0.25, factor = 2.5,
             samplenames = sample.names(aCGH.obj),
             chrominfo = human.chrom.info.Jul03)

### Arguments

`aCGH.obj` | An object of aCGH class
`thres` | either a vector providing unique threshold for each sample or a vector of the same length as number of samples providing sample-specific threshold. If 'aCGH.obj' has non-null 'sd.samples', then threshold is automatically replaced by tumor-specific sd multiplied by 'factor'. Clone is considered to be gained if it is above the threshold and lost if it is below negative threshold. Defaults to 0.25
`factor` | specifies the number by which experimental variability should be multiples. Used only when tumor specific variability in 'aCGH.obj' is not NULL or when factor is greater than 0. Defaults to 2.5.
`samplenames` | Sample names. Default is sample.names(aCGH.obj)
`chrominfo` | A chromosomal information associated with the mapping of the data. Default is human.chrom.info.Jul03 data frame

### Value

`gainP` | Vector of proportion of genome gained for each sample
`lossP` | Vector of proportion of genome lost for each sample

### Author(s)

Jane Fridlyand, Ritu Roydasgupta

### Examples

    data(colorectal)

    col.fga <- fga.func(colorectal, factor=3,chrominfo=human.chrom.info.Jul03)
    cbind(gainP=col.fga$gainP,lossP=col.fga$lossP)[1:5,]

[Package aCGH version 1.8.0 Index]